# You can print a list of all available Robots
from robotvoice import available_robots

available_robots()

# Import the Robot class to instantiate a new robot.
from robotvoice import Robot

# For creating a new robot instance, there are three possibilities:

# 1. The easiest way to create an existing robot is by using one of the existing and validated voices:
from robotvoice import Robots

robby = Robot(Robots.Reeti)

# 2. You can create a robot by directly using a config dictionary:
config = {
    "voice1": -4,
    "voice2": -6,
    "voice3": 4,
    "voice4": 10,
    "voice5": 12,
    "speaking_speed": 6,
    "effect_name": "vocoder",
    "effect_strength": 9
}
robby = Robot(config=config)

# 3. You can create a robot by giving a json file that holds the configuration:
robby = Robot(json_filename="voices/Reeti.json")

# Now you can let the robot speak:
robby.speak("Hi, I am Reeti, a very cute robot. How can I help you?")

# If you want to write the audio, you can do this as follows:
robby.write("Hi, I am Reeti, a very cute robot. How can I help you?", "output.wav")

# Also, you can just synthesize audio and use it further in your code:
audio, samplerate = robby.synthesize("Hi, I am Reeti, a very cute robot. How can I help you?")
